#include "condenser.h"
#include "stm32746g_discovery.h"
#include "FreeRTOS.h"
#include "task.h"
#include "queue.h"

xQueueHandle condenser_msg_q = 0;
extern xQueueHandle gui_msg_q;

void condenser_task(void* params)
{
    BSP_LED_Init(LED_GREEN);
    BSP_PB_Init(BUTTON_KEY, BUTTON_MODE_GPIO);
    
    // Create a queue of length 1
    condenser_msg_q = xQueueGenericCreate(1, 1, 0);

    uint8_t msg = 0;
    uint32_t last_btn_state = 0;
    uint8_t condenser_state = 0;
    for(;;)
    {
        vTaskDelay(100);
        if (xQueueReceive(condenser_msg_q, &msg, 0) == pdTRUE)
        {
            if (msg == CONDENSER_ON)
            {
                condenser_state = 1;
            }
        }
        
        if (condenser_state)
        {
          BSP_LED_Toggle(LED_GREEN);
        }
        
        uint32_t btn_state = BSP_PB_GetState(BUTTON_KEY);
        if (btn_state != last_btn_state)
        {
            uint8_t msg = btn_state ? CONDENSER_ALARM_SET : CONDENSER_ALARM_CLEAR;
            xQueueSend(gui_msg_q, &msg, 0);
            last_btn_state = btn_state;
        }
    }
}


